
## Dataformat

Databasen er implementert som en katalog med tekstfiler. Hver fil inneholder informasjon om ett medlem og er underlagt revisjonskontroll med RCS. Filene har et key: value-format, hvor blanke tegn på slutten og begynnelsen av både nøkkel og verdi blir strippet bort. Hvilke felter som er gyldige og om de kan ha flere verdier fins i `.format` i databasekatalogen.

I format-filen kan hvert felt kan være spesifisert enten som scalar eller som list. Dette avgjør om et felt kan opptre en eller flere ganger i samme fil. Hvert element i en liste må komme som en egen linje. Dette gjør at historikken i RCS holder styr på de enkelte elementene i lista.

Midlertidig sett med felter er:

```
username: scalar
realname: scalar
uid: scalar
disk: list            # hvert element i lista er en 2-tuple adskilt med space
bdb-uid: scalar
bdb-username: scalar
purged: scalar
membership: list      # hvert element i lista er en 2-tuple adskilt med space
```
