# Databasestruktur

Her er et forslag til databasestruktur i Mdb-NG. For en gitt databasestruktur, sjekk om den kan oppfylle kravene i FeatureList.

## Tabeller

### Personer

- ID
- Fullt navn
- MTime
- Comment

`ID` er en unik id for en person, uavhengig av hvor mange brukernavn og UIDer personen har hatt. Det tillater også at en person har flere brukernavn. Jeg tror det er et par eksempler på det i PVV for tiden. `MTime` sier når raden ble opprettet. Når et av feltene endres lages det en ny rad for personen hvor de uendrede feltene kopieres fra forrige rad.

### Unix-detaljer

- Personer:ID
- ID
- UID
- Brukernavn
- Hjemmekatalog
- Primær gruppe
- CTime
- MTime
- Comment

### Gruppetilhørighet

- ID
- UID
- GID
- CTime
- MTime
- Comment

### Fysisk tilgang

- ID
- Personer:ID
- Verkstednøkkel
- Maskinromnøkkel
- Kortnummer
- Korttilgang utløper
- CTime
- MTime
- Comment
